from django.shortcuts import render
from django.views import View

from core.views.manage.permissions import SuperUserRequiredMixin


class ThresholdIRCOverview(SuperUserRequiredMixin, View):
    template_name = "manage/threshold/irc/overview/overview.html"

    def get(self, request):
        return render(request, self.template_name)


class ThresholdIRCNetwork(SuperUserRequiredMixin, View):
    template_name = "manage/threshold/irc/network/network.html"

    def get(self, request, net):
        context = {"net": net}
        return render(request, self.template_name, context)
